LALFR-STREAM(1)

NAME
lalfr-stream -- output a frame data stream

SYNOPSIS
lalfr-stream --channel=channel --frame-cache=cachefile
             [--start-time=tstart] [--duration=deltat] lalfr-stream --channel=channel --frame-glob=globstring
             [--start-time=tstart] [--duration=deltat]

DESCRIPTION

The lalfr-stream utility reads a requested interval [tstart,tstart+deltat) of channel data from frame files that are either indexed in the cachefile or matching the pattern globstring as described by glob(3). If tstart is not specified, streaming begins at the beginning of the available data. If deltat is not specified, streaming continues until the end of the available data. The output is written to the standard output in two-column ascii format data in which the first column contains the GPS times of each sample and the second column contains the corresponding sample values.

OPTIONS

-h, --help
    Prints the help message.

-c channel, --channel=channel
    The channel name that is to be read.

-f cachefile, --frame-cache=cachefile
    The cachefile indexing the frame files to be used.

-f globstring, --frame-cache=globstring
    The cachefile indexing the frame files to be used.

-s tstart, --start-time=tstart
    The time tstart GPS seconds of the data to read. If padding is specified with the -P option or the --pad option, an additional amount of data preceding tstart is also read, and discarded after any requested filtering of the data is complete.

-t deltat, --duration=deltat
    The duration deltat in seconds of data to read. If padding is specified with the -P option or the --pad option, an additional amount of data is also read, and discarded after any requested filtering of the data is complete.

ENVIRONMENT
The LAL_DEBUG_LEVEL can used to control the error and warning reporting of lalfr-stream. Common values are: LAL_DEBUG_LEVEL=0 which suppresses error messages, LAL_DEBUG_LEVEL=1 which prints error messages alone, LAL_DEBUG_LEVEL=3 which prints both error messages and warning messages, and LAL_DEBUG_LEVEL=7 which additionally prints informational messages.

EXIT STATUS
The lalfr-stream utility exits 0 on success, and >0 if an error occurs.

EXAMPLES

The command:

    lalfr-stream -c H1:LSC-STRAIN -g "H-*.gwf" -s 1000000000 -t 1000

will stream 1000 seconds of H1:LSC-STRAIN data beginning at GPS time 1000000000 from frame files matching ``H-*.gwf'' in the current directory.

SEE ALSO
lalfr-vis(1)

AUTHOR
Jolien Creighton